3x3 Matrices in fixed point

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions
3x3 Matrices in fixed point
Eina » Data Types » Matrix

Definition and operations for 3x3 fixed point matrices. More...

## Data Structures
struct | _Eina_Matrix3_F16p16
struct | Eina_Matrix3_F16p16
| A 3x3 fixed point (Q16.16) matrix. More...

## Typedefs
typedef struct _Eina_Matrix3_F16p16 | Eina_Matrix3_F16p16
| A 3x3 fixed point (Q16.16) matrix.

## Functions
EINA_API void | eina_matrix3_f16p16_identity (Eina_Matrix3_F16p16 *m)
| Sets the given fixed point matrix to the identity matrix.
EINA_API void | eina_matrix3_f16p16_compose (const Eina_Matrix3_F16p16 *m1, const Eina_Matrix3_F16p16 *m2, Eina_Matrix3_F16p16 *dst)
| Sets dst as the matrix multiplication (composition) of two Eina_F16p16 matrices.
EINA_API Eina_Matrix_Type | eina_matrix3_f16p16_type_get (const Eina_Matrix3_F16p16 *m)
| Returns the type of the given fixed point matrix.

## Detailed Description

Definition and operations for 3x3 fixed point matrices.

## Function Documentation

## ◆ eina_matrix3_f16p16_identity()

EINA_API void eina_matrix3_f16p16_identity | ( | Eina_Matrix3_F16p16 * | m | ) |

Sets the given fixed point matrix to the identity matrix.

Parameters

  [in] | m | The fixed point matrix to set.

This function sets `m` to the identity matrix. No check is done on `m`.

Since
  1.14

## ◆ eina_matrix3_f16p16_compose()

EINA_API void eina_matrix3_f16p16_compose | ( | const Eina_Matrix3_F16p16 * | m1,
|  | const Eina_Matrix3_F16p16 * | m2,
|  | Eina_Matrix3_F16p16 * | dst
| ) |  |

Sets dst as the matrix multiplication (composition) of two Eina_F16p16 matrices.

Parameters

  [in] | m1 | The first matrix. Must be non-NULL.
  [in] | m2 | The second matrix. Must be non-NULL.
  [out] | dst | The results matrix.

In matrix multiplication, AB, the resultant matrix is created from the rows of A multiplied against the columns of B and summed. This is not a commutative; i.e. AB != BA, so the ordering of arguments `m1` and `m2` matters.

Since
  1.14

References eina_f16p16_mul().

## ◆ eina_matrix3_f16p16_type_get()

EINA_API Eina_Matrix_Type eina_matrix3_f16p16_type_get | ( | const Eina_Matrix3_F16p16 * | m | ) |

Returns the type of the given fixed point matrix.

Parameters

  [in] | m | The fixed point matrix.

Returns
  The type of the matrix.

This function returns the type of the matrix `m`. No check is done on `m`.

Since
  1.14

References EINA_MATRIX_TYPE_AFFINE, EINA_MATRIX_TYPE_IDENTITY, and EINA_MATRIX_TYPE_PROJECTIVE.